CREATE FUNCTION dbo.CFU_Pedidos_Validar_Aprobacion(@pId_Trans INT) 
RETURNS VARCHAR(1000)
AS
BEGIN
/*Variable de Retorno*/
DECLARE @Mensaje_Validacion				CHAR(1000)	/*En caso de que la validacion se cumpla devolver vacio*/
/*FIN Variable de Retorno*/

/*Variables Locales*/
DECLARE @Flag_Validacion_OK				TINYINT
/*FIN Variables Locales*/

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

--IMPLENTAR PARA CADA CLIENTE

SET @Flag_Validacion_OK = 1

IF(@Flag_Validacion_OK = 1)
BEGIN
	SET @Mensaje_Validacion = ''
	RETURN @Mensaje_Validacion
END
ELSE
BEGIN
	SET @Mensaje_Validacion = 'El Pedido no puede Aprobarse debido a que no se cumplen las condiciones.'
	RETURN @Mensaje_Validacion
END

-------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                        
RETURN ISNULL(@Mensaje_Validacion, '')
END
